This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308538 - Graphical System Upgrades
Graphical System Upgrades
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
ChangeAcceptedF24, SelfContainedChange
:
Depends On: 1336383 1336435 1341151 1341159 1341163 1488682 1335414 1335458 1335463 1336400 1336404 1336459 1336477 1336482 1336530 1336611 1356132
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 08:20 EST by Jan Kurik
Modified: 2017-09-27 13:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-21 03:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-15 08:20:00 EST
This is a tracking bug for Change: Graphical System Upgrades
For more details, see: https://fedoraproject.org//wiki/Changes/GraphicalSystemUpgrades

Add support for performing system upgrades to a newer Fedora release through GNOME Software.
Comment 1 Jan Kurik 2016-02-24 09:26:05 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Jan Kurik 2016-04-20 11:01:36 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 3 Kalev Lember 2016-04-22 07:23:09 EDT
Latest status update is in https://blogs.gnome.org/hughsie/2016/04/20/upgrading-fedora-23-to-24-using-gnome-software/
Comment 4 Adam Williamson 2016-04-25 11:43:43 EDT
For the record, I think this Change should have been considered late at the 'Completion deadline'. It is a Change that "is to be enabled by default" and it certainly was *not* "enabled by default" on 2016-02-23, I don't even know that it was testable at that point. Setting the bug to MODIFIED was inappropriate and shouldn't have been done IMHO.
Comment 5 Kalev Lember 2016-07-21 03:00:19 EDT
This went to stable last night.

Note You need to log in before you can comment on or make changes to this bug.